[
    {
        "function": "set_enchantments",
        "enchantments": {
            "binding_curse": 1,
            "blade2:awaken_w": 1
        }
    },
    {
        "function": "set_enchantments",
        "enchantments": {
            "blade2:awaken_w_extra": 1
        },
        "conditions": [
            {
                "condition": "value_check",
                "value": {
                    "type": "score",
                    "score": "blade2_eidolons",
                    "target": "this"
                },
                "range": {
                    "min": 4
                }
            }
        ]
    }
]